# Gimp.FileProcedure.set_handles_remote

    @accepts(Gimp.FileProcedure, bool)
    @returns(none)
    def set_handles_remote(self, handles_remote):
        # Python wrapper for gimp_file_procedure_set_handles_remote()

Registers a file procedure as capable of handling arbitrary remote URIs via GIO.

When handles_remote is set to True, the procedure will get a Gio.File passed that can point to a remote file.

When handles_remote is set to False, the procedure will get a local [iface@Gio.File] passed and can use [method@Gio.File.get_path] to get to a filename that can be used with whatever non-GIO means of dealing with the file.

Since 3.0

self

  A Gimp.FileProcedure.

handles_remote

  The procedure's 'handles remote' flag.